echo off
REM filename: initsetup1.cmd
REM
REM initial setup for a Server 2008 Server Core installation. 
REM command file 1 of 3
REM
REM Created: 4 September, 2007
REM ModHist: 5/9/07 - switched to variables (cpr)
REM
REM Copyright 2007 Charlie Russel and Sharon Crawford. All rights reserved.
REM   You may freely use this script in your own environment, modifying it to meet
REM   your needs. But you may not re-publish it without permission. 

REM first, set a fixed IP address. You'll need to know the index number
REM of the interface you're setting, but in a default Server Core install, 
REM with only a single NIC, the index should be 2. To find the index, you can
REM run:
REM      netsh interface ipv4 show interfaces
REM 

SETLOCAL
REM Change the values below to match your needs
SET IPADD=192.168.51.4
SET IPMASK=255.255.255.0
SET IPGW=192.168.51.1
SET DNS1=192.168.51.2
SET NEWNAME=hp350-core-04

netsh interface ipv4 set address name="2" source=static address=%IPADD% mask=%IPMASK% gateway=%IPGW%

REM Next, set DNS to point to DNS server for example.local. 192.168.51.2 in this case
REM
netsh interface ipv4 add dnsserver name="2" address=%DNS1% index=1

REM Now, we need to change the computer name. After we're done, the server 
REM must be restarted, and we can continue with the next batch of commands. 
REM we use the /force command here to avoid prompts
REM
netdom renamecomputer %COMPUTERNAME% /newname:%NEWNAME% /force

@echo If everything looks OK, the its time to reboot
pause
REM now, shutdown and reboot. No need to wait. 
REM
shutdown /t 0 /r
